main()
{
	level.scr_sound["flak88_explode"]           = "flak88_explode";
	level._effect["flak_explosion"]				= loadfx("fx/explosions/flak88_explosion.efx");
    
	level._effect["lantern_light"] 				= loadfx("fx/props/glow_latern.efx");
	level._effect["dust_wind"]					= loadfx("fx/dust/dust_wind_eldaba.efx");
	level._effect["thin_light_smoke_M"]			= loadfx ("fx/smoke/thin_light_smoke_M.efx");
	level._effect["building_fire_small"] 		= loadfx ("fx/fire/building_fire_small.efx");
	level._effect["firepit_light"] 				= loadfx ("fx/fire/building_fire_large.efx");
    
	precacheModel( "xmodel/vehicle_american_jeep" );
    
	//level ambientFX();
	level thread fireFX();	
	level thread fireSound();
    
	maps\mp\_load::main();
     
	//if ( level.scr_allow_ambient_sounds )
		//ambientPlay("ambient_france");

	//if ( level.scr_allow_ambient_fog )
		//setExpFog(0.0001, 0.55, 0.6, 0.55, 0);
	
	game["allies"] = "american";
	game["axis"] = "german";
	game["attackers"] = "allies";
	game["defenders"] = "axis";
	game["american_soldiertype"] = "normandy";
	game["german_soldiertype"] = "normandy";
	
	//setcvar( "r_glowbloomintensity0", ".25" );
    //setcvar( "r_glowbloomintensity1", ".25" );
	//setcvar( "r_glowskybleedintensity0", ".3" );

	if(getcvar("g_gametype") == "hq")
	{
		level.radio = [];
		level.radio[0] = spawn("script_model",(-858.797,5035.57,104));
		level.radio[0].angles = (0,181,0);
	
		level.radio[1] = spawn("script_model",(-1827.08,3970.93,110));
		level.radio[1].angles = (0,121,0);
		
		level.radio[2] = spawn("script_model",(-435.171,3171.28,49));
		level.radio[2].angles = (0,13,0);

		level.radio[3] = spawn("script_model",(-1005.28,2345.83,26));
		level.radio[3].angles = (0,103,0);

		level.radio[4] = spawn("script_model",(-2113.28,2585.83,-30));
		level.radio[4].angles = (0,136,0);		

		level.radio[5] = spawn("script_model",(309.87,3074.82,174));
		level.radio[5].angles = (0,328,0);		

		level.radio[6] = spawn("script_model",(-2514.02,1179.94,-49));
		level.radio[6].angles = (0,253,0);		

		level.radio[7] = spawn("script_model",(411.983,1385.06,-47));
		level.radio[7].angles = (0,71,0);				
	}
}

ambientFX()
{
	//if (level.scr_allow_ambient_weather)
	{
		maps\mp\_fx::loopfx("thin_light_smoke_M", (-2353 ,3428 ,7), 0.5);
		maps\mp\_fx::loopfx("thin_light_smoke_M", (-3034,3838, 13), 0.5);
		maps\mp\_fx::loopfx("thin_light_smoke_M", (-864,752 ,-113), 0.5);
		maps\mp\_fx::loopfx("thin_light_smoke_M", (-998,612 ,-120), 0.5);
		maps\mp\_fx::loopfx("thin_light_smoke_M", (827,2834 ,46), 0.5);
		maps\mp\_fx::loopfx("thin_light_smoke_M", (551,3556 ,44), 0.5);
		maps\mp\_fx::loopfx("thin_light_smoke_M", (349,4421 ,45), 0.5);
		
		maps\mp\_fx::loopfx("dust_wind", (78, 1571,-19), 0.5);
		maps\mp\_fx::loopfx("dust_wind", (-838,844,-134), 0.5);
		maps\mp\_fx::loopfx("dust_wind", (-2267, 1004,-84), 0.5);
		maps\mp\_fx::loopfx("dust_wind", (-2493,2005,-71), 0.5);
		maps\mp\_fx::loopfx("dust_wind", (-3131,3636, 18), 0.5);
		maps\mp\_fx::loopfx("dust_wind", (-1820,3471, 16), 0.5);
		maps\mp\_fx::loopfx("dust_wind", (-795,2748,-5), 0.5);
		maps\mp\_fx::loopfx("dust_wind", (-928, 1835, 15), 0.5);
		maps\mp\_fx::loopfx("dust_wind", (110,2724,-36), 0.5);
		maps\mp\_fx::loopfx("dust_wind", (63,3707,26), 0.5);
		maps\mp\_fx::loopfx("dust_wind", (51,4981,77), 0.5);
		maps\mp\_fx::loopfx("dust_wind", (1180,3409,25), 0.5);
		maps\mp\_fx::loopfx("dust_wind", (-1530, 1945,-48), 0.5);
		maps\mp\_fx::loopfx("dust_wind", (-765, 1385,3), 0.5);
		maps\mp\_fx::loopfx("dust_wind", (-1523,4375,70), 0.5);
		maps\mp\_fx::loopfx("dust_wind", (-1225,5252,70), 0.5);
		maps\mp\_fx::loopfx("dust_wind", (-504,4159,70), 0.5);
	}
}

fireFX()
{
	level endon("intermission");

	while (1) 
	{
		wait 1;
		playFX(level._effect["firepit_light"], (-3026, 2924, 16) );
	}
}

fireSound()
{
	level endon("intermission");
    
    sound = spawn("script_origin", (-3026, 2924, 16) );
    sound playLoopSound("bigfire");
}